Subject: RE: [syzbot] WARNING in rtl8152_probe

From: Hayes Wang <[email-masked]>
Date: Fri, 14 May 2021 02:58:00 +0000

Alan Stern <[email-masked]>
> Sent: Thursday, May 13, 2021 10:26 PM
[...]
> Syzbot doesn't test real devices.  It tests emulations, and the emulated
> devices usually behave very strangely and in very peculiar and
> unexpected ways, so as to trigger bugs in the kernel.  That's why the
> USB devices you see in syzbot logs usually have bizarre descriptors.

Do you mean I have to debug for a device which doesn't exist?
I don't understand why I must consider a fake device
which provide unexpected USB descriptor deliberately?

Best Regards,
Hayes